layui.use([ 'table', 'form', 'element', 'upload' ], function() {
	var $ = layui.jquery
	table = layui.table,
	form = layui.form, 
	element = layui.element,
	upload = layui.upload;

	// 生成表格
	table.render({
		elem : '#articleTable',
		url : '../../getArticle',
		toolbar : '#toolbarDemoArticle',
		title : "文章",// 导出名
		id : 'articleAll',
		// skin : 'row',
		// size :'lg',
		border : true,
		page : true,
		limits : [ 10, 30, 50, 80, 100, 999 ],
		where : {
			title : '',
			type : ''
		},
		cols : [ [
		/*
		 * { type: 'checkbox' },
		 */
		{
			type : 'numbers',
			title : '序号',
			unresize : true
		}, {
			field : 'title',
			align : "center",
			title : '文章标题'
		}, {
			field : 'content',
			align : "center",
			title : '摘要'
		}, {
			field : 'createBy',
			align : "center",
			width : 120,
			title : '添加人'
		}, {
			fixed : 'right',
			title : '操作',
			align : "center",
			toolbar : '#barDemoArticle'
		} ] ],
		parseData : function(res) { // 将原始数据解析成 table 组件所规定的数据
			return {
				"code" : 0, // 解析接口状态
				"msg" : "", // 解析提示文本
				"count" : res.data.articles.total,// 解析数据长度
				"data" : res.data.articles.list
			// 解析数据列表
			};
		}
	});
	//点击查询按钮，重载文章表格
	$('#searchArticle').on('click', function() {
		table.reload('articleAll', {
			method : 'post',
			where : {
				title 	: $("#title").val(),
				type 	: $("#type").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	
	
	//监听头工具栏事件--新增文章按钮
	table.on('toolbar(articleTable)', function (obj) {
		var checkStatus = table.checkStatus(obj.config.id), 
		data = checkStatus.data; //获取选中的数据
		switch (obj.event) {
			case 'add':
			    layer.open({
				type: 2,
				title: "添加文章",
				area: ['900px','600px'],
				skin: "layui-layer-molv",
				content: './addArticle.jsp',
				});
		    break;
		};
	});
	
	//监听表格操作按钮--文章编辑
	table.on('tool(articleTable)',function(obj){
		if(obj.event === 'edit'){
			layer.open({
	    		type: 2,
	    		title: "修改信息",
	    		area: ['900px','600px'],
				skin: "layui-layer-molv",
	    		fix: false, //不固定
	    		//btn: ['取消'],//弹出层按钮
	    		maxmin: true,
	    		content: './updateArticle.jsp',
	    		success: function(layero, index){
	    			var body = layer.getChildFrame('body', index);
	    		    var iframeWin = window[layero.find('iframe')[0]['name']]; //得到iframe页的窗口对象
	    		    body.find('#id').val(obj.data.id);
	    		    body.find('#titleUp').val(obj.data.title);
	    		    body.find('#typeUp').val(obj.data.type);
	    		   	body.find('#CONTENT').val(obj.data.content);
	    		   	body.find('#contentUp').val(obj.data.content);
	    		}
	    	 }); 
			/* $.get("<%=basePath%>/updateArticle",function (str) {
                    layer.open({
                        type: 2,
                        title : '修改文章',
                        content : 'updateArticle.jsp',
                        area: ['900px','600px'],
                        skin:'layui-layer-molv',
                        btn:['确定','取消'],
                        success:function(){ 
                            $.get('<%=basePath%>/articleInfo',{id:obj.data.id},function (data) {
                                //显示数据
                                console.log(data.data.article.title)
                                layui.form.val('articleForm',{
                                	'title' : data.data.article.title,
                                	'type'  :data.data.article.type
                                });
                            });
                        },
                        yes : function () {
                            
                        }
                    });
                });*/
		}else if(obj.event === 'info'){
	    	layer.open({
	    		type: 2,
	    		title: "",
	    		area: ['100%','100%'],
				skin: "layui-layer-molv",
	    		fix: false, //不固定
	    		//btn: ['取消'],//弹出层按钮
	    		maxmin: true,
	    		content: './infoArticle.jsp',
	    		success: function(layero, index){
	    			var body = layer.getChildFrame('body', index);
	    		    var iframeWin = window[layero.find('iframe')[0]['name']]; //得到iframe页的窗口对象
	    		    body.find('#id').val(obj.data.id);
	    		    body.find('#titleUp').val(obj.data.title);
	    		    body.find('#typeUp').val(obj.data.type);
	    		    body.find('#contentUp').val(obj.data.content);
	    		  }
	    	 });
		}else if(obj.event === 'del'){
			layer.confirm('确定要删除该数据么？',{icon:3,title:"提示"}, function(index){
				$.ajax({
	    			url:"../deleteArticle",
	    		  	data:{'id': obj.data.id},
	    			type:"post",
	    		  	success:function (data) {
	    			 	if (data.code == 200) {
	    			 		layer.msg('删除成功！',{icon:6,offset:"auto",time:1000});//提示框
					  	}else{
						    layer.msg('删除失败！',{icon:5,offset:"auto",time:1000});//提示框
					  	}
	    			 	setTimeout(function(){
	    			 		location.reload();//重新加载页面
						}, 1100);
	    		 	}  
	    	 	}); 
			});
		}
	});
});